Language

Package: mig @ 1.8

Synopsis

Mach 3.0 interface generator for the Hurd

Description

GNU MIG is the GNU distribution of the Mach 3.0 interface generator MIG, as maintained by the GNU Hurd developers for the GNU project. You need this tool to compile the GNU Mach and GNU Hurd distributions, and to compile the GNU C library for the Hurd. Also, you will need it for other software in the GNU system that uses Mach-based inter-process communication.

Home page
https://www.gnu.org/software/hurd/microkernel/mach/mig/gnu_mig.html
Location
gnu/packages/hurd.scm (line: 112, column: 2)
License

Derivations

SystemTargetDerivationBuild status
x86_64-linux/gnu/store/5hpnmqgixs4m6z5hkzh96wv4lhg1p0m4-mig-1.8.drv
x86_64-linuxx86_64-w64-mingw32/gnu/store/68nvb5aifm63hyn65nfl7mfq0488w4nz-mig-1.8.drv
x86_64-linuxriscv64-linux-gnu/gnu/store/i72dwg7skn5ngs8i8bxk1mnbd4xyj4iq-mig-1.8.drv
x86_64-linuxpowerpc-linux-gnu/gnu/store/yngf0cssxy3aigijacqj3xainm3a9ncp-mig-1.8.drv
x86_64-linuxpowerpc64le-linux-gnu/gnu/store/294ia8lpx583r33fbcxd7kcmpclbc7rj-mig-1.8.drv
x86_64-linuxmips64el-linux-gnu/gnu/store/dfr2n4w49zz2aw4sjhv89q4rd1ikxbfx-mig-1.8.drv
x86_64-linuxi686-w64-mingw32/gnu/store/davm7jwx5p9f9rkcn49rc4hk4nxywq86-mig-1.8.drv
x86_64-linuxi586-pc-gnu/gnu/store/14bvk3a1zdrm02pa0q7zp30sq2ca32s6-mig-1.8.drv
x86_64-linuxarm-linux-gnueabihf/gnu/store/giyjn8asb3l7rb22q4dwmwhxjjipy9r0-mig-1.8.drv
x86_64-linuxaarch64-linux-gnu/gnu/store/hjkd26sszjn64a9bq0g8l6i2gf62wp0j-mig-1.8.drv
riscv64-linux/gnu/store/31vz46vilcrw99hxqh1bdmn3qflv10dh-mig-1.8.drv
    powerpc-linux/gnu/store/n54w5bajk3m5s89asmrrrfzqyimymgw7-mig-1.8.drv
      powerpc64le-linux/gnu/store/qj4wxmsw1142cm2cmjzxhp55pg1qp0sv-mig-1.8.drv
      mips64el-linux/gnu/store/v2va05gf9rjs3k5iy1pkqdmfd932ww7v-mig-1.8.drv
        i686-linux/gnu/store/shnh26pbhaa1p4wn4pzywpigriwla06f-mig-1.8.drv
        i586-gnu/gnu/store/0nf3955z118z0x76dwin62lm4mnfak5y-mig-1.8.drv
        armhf-linux/gnu/store/g5lcwpklgf7x8kxhsljjs8hg6hqnna6y-mig-1.8.drv
        aarch64-linux/gnu/store/lx0yiv92gjvmzhjcdmx1x73pn3hng7f5-mig-1.8.drv

        Lint warnings

        LinterMessageLocation
        inputs-should-be-native

        Identify inputs that should be native inputs

        'flex' should probably be a native input
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7487 7f8ed7409c60> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7487 7fa7aa068c60> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7487 7f5755cb9c60> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7487 7f119da52c60> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7fb2d2987dc0> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7f3e6bc77dc0> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7f62abeb7dc0> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7fa23c1dddc0> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7f0f10522dc0> input: ("_" "static")>